{ inputs, pkgs, ... }: {

  xdg.configFile."nvim" = {
    source = "${pkgs.nvchad}";
  };

  programs = {
    neovim = {
      enable = true;
      defaultEditor = true;

      viAlias = false;
      vimAlias = true;

      withPython3 = true;
      withNodeJs = true;
    };
  };

  home = {
    packages = with pkgs; [
      gcc
      neovide

      # nix
      statix # Lints and suggestions for the nix programming language
      deadnix # Find and remove unused code in .nix source files
      alejandra # Nix Code Formatter

      # lua
      luarocks

      gdu
      ripgrep
    ];
  };
}
